org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTFILEREMOVERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTFILEREMOVERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTFILEREMOVERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTFILEREMOVERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTFILEREMOVERNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTFILEREMOVERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTFILEREMOVERNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTFILEREMOVERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTFILEREMOVERNode` | `bindFilename(IDynamicContentBindingObject value)`
    `CLIENTFILEREMOVERNode` | `bindLocalfilemode(IDynamicContentBindingObject value)`
    `CLIENTFILEREMOVERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTFILEREMOVERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `CLIENTFILEREMOVERNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `CLIENTFILEREMOVERNode` | `setActionListener(java.lang.String value)`
    `CLIENTFILEREMOVERNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTFILEREMOVERNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTFILEREMOVERNode` | `setComment(java.lang.String value)`
    `CLIENTFILEREMOVERNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTFILEREMOVERNode` | `setFilename(java.lang.String value)`
    `CLIENTFILEREMOVERNode` | `setId(java.lang.String value)`
    `CLIENTFILEREMOVERNode` | `setLocalfilemode(java.lang.String value)`
    `CLIENTFILEREMOVERNode` | `setReference(java.lang.String value)`
    `CLIENTFILEREMOVERNode` | `setRendered(boolean value)`
    `CLIENTFILEREMOVERNode` | `setRendered(java.lang.String value)`
    `CLIENTFILEREMOVERNode` | `setStylevariant(java.lang.String value)`
    `CLIENTFILEREMOVERNode` | `setTrigger(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTFILEREMOVERNode

          public CLIENTFILEREMOVERNode()

  - ### Method Detail

    - #### setId

          public CLIENTFILEREMOVERNode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTFILEREMOVERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTFILEREMOVERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTFILEREMOVERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTFILEREMOVERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTFILEREMOVERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public CLIENTFILEREMOVERNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTFILEREMOVERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTFILEREMOVERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTFILEREMOVERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFilename

          public CLIENTFILEREMOVERNode setFilename(java.lang.String value)

    - #### bindFilename

          public CLIENTFILEREMOVERNode bindFilename(IDynamicContentBindingObject value)

    - #### setLocalfilemode

          public CLIENTFILEREMOVERNode setLocalfilemode(java.lang.String value)

    - #### bindLocalfilemode

          public CLIENTFILEREMOVERNode bindLocalfilemode(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTFILEREMOVERNode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTFILEREMOVERNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTFILEREMOVERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTFILEREMOVERNode setRendered(boolean value)

    - #### setStylevariant

          public CLIENTFILEREMOVERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public CLIENTFILEREMOVERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTrigger

          public CLIENTFILEREMOVERNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public CLIENTFILEREMOVERNode bindTrigger(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.